Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface LocalizationControl

    public interface LocalizationControl

Method Summary
`void` | `addLocalizationResource(com.bea.netuix.application.localization.identifier.LocalizationIntersectionId id, Locale locale, String title, String description, String type, String appName, com.bea.portal.tools.common.ResourceContext context)` Adds a new LocalizationResource
`void` | `deleteLocalizationResource(com.bea.netuix.application.localization.identifier.LocalizationLocaleId localeId, com.bea.netuix.application.localization.identifier.LocalizationIntersectionId intersectId, com.bea.portal.tools.common.ResourceContext context)` Deletes a localization resource.
`Locale` | `getLocale(com.bea.netuix.application.localization.identifier.LocalizationLocaleId id, com.bea.portal.tools.common.ResourceContext context)` This method will lookup the locale associated with the localizationLocaleId.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.localization.definition.LocalizationLocale>` | `getLocalizationLocales(int pageSize, com.bea.portal.tools.common.ResourceContext context)` Gets all the available locales.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.localization.definition.LocalizationResource>` | `getLocalizationResources(int pageSize, com.bea.netuix.application.localization.identifier.LocalizationIntersectionId id, com.bea.portal.tools.common.ResourceContext context)` Returns all the LocalizationResources given a LocalizationIntersectionId.
`com.bea.netuix.application.localization.definition.LocalizationResource[]` | `getLocalizationResources(com.bea.netuix.application.localization.identifier.LocalizationIntersectionId id, com.bea.portal.tools.common.ResourceContext context)` Returns all the LocalizationResources given a LocalizationIntersectionId.
`void` | `updateLocalizationResource(com.bea.netuix.application.localization.identifier.LocalizationIntersectionId id, Locale locale, String title, String description, com.bea.portal.tools.common.ResourceContext context)` Updates a LocalizationResource
`void` | `updateLocalizationResource(com.bea.netuix.application.localization.definition.LocalizationResource resource, com.bea.portal.tools.common.ResourceContext context)` Updates a LocalizationResource

Method Detail

### getLocale

    Locale getLocale(com.bea.netuix.application.localization.identifier.LocalizationLocaleId id,
                     com.bea.portal.tools.common.ResourceContext context)
                     throws com.bea.portal.tools.common.exceptions.ToolsException

  This method will lookup the locale associated with the localizationLocaleId. If it's not found, the locale from the request is returned.

  Parameters
    `localizationLocaleId` - The id associated with the locale
    `context` - the resource context.
  Returns
    The locale associated with the localizationLocaleId
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getLocalizationLocales

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.localization.definition.LocalizationLocale> getLocalizationLocales(int pageSize,
                                                                                                                                                        com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                                        throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets all the available locales.

  Parameters
    `pageSize` - the number of results to return per page.
    `context` - the resource context.
  Returns
    A PagedResult of all locales on the system.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getLocalizationResources

    com.bea.netuix.application.localization.definition.LocalizationResource[] getLocalizationResources(com.bea.netuix.application.localization.identifier.LocalizationIntersectionId id,
                                                                                                       com.bea.portal.tools.common.ResourceContext context)
                                                                                                       throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns all the LocalizationResources given a LocalizationIntersectionId.

  Parameters
    `id` - The id of all the locales associated with the Portal Resource.
    `context` - the resource context.
  Returns
    An array of LocalizationResource objects.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getLocalizationResources

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.localization.definition.LocalizationResource> getLocalizationResources(int pageSize,
                                                                                                                                                            com.bea.netuix.application.localization.identifier.LocalizationIntersectionId id,
                                                                                                                                                            com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                                            throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns all the LocalizationResources given a LocalizationIntersectionId.

  Parameters
    `pageSize` - The size of the pages in the PagedResult
    `id` - The id of all the locales associated with the Portal Resource.
    `context` - the resource context.
  Returns
    A PagedResult of LocalizationResource objects.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### addLocalizationResource

    void addLocalizationResource(com.bea.netuix.application.localization.identifier.LocalizationIntersectionId id,
                                 Locale locale,
                                 String title,
                                 String description,
                                 String type,
                                 String appName,
                                 com.bea.portal.tools.common.ResourceContext context)
                                 throws com.bea.portal.tools.common.exceptions.ToolsException,
                                        com.bea.netuix.application.exception.MissingDataException,
                                        com.bea.netuix.application.exception.ObjectNotFoundException

  Adds a new LocalizationResource

  Parameters
    `id` - The LocalizationIntersectionId
    `locale` - The new locale object
    `title` - The associated title.
    `description` - The associated description
    `type` - The type or portal resource this maps to.
    `appName` - The enterprise application name.
    `context` - the resource context.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### updateLocalizationResource

    void updateLocalizationResource(com.bea.netuix.application.localization.identifier.LocalizationIntersectionId id,
                                    Locale locale,
                                    String title,
                                    String description,
                                    com.bea.portal.tools.common.ResourceContext context)
                                    throws com.bea.portal.tools.common.exceptions.ToolsException,
                                           com.bea.netuix.application.exception.MissingDataException,
                                           com.bea.netuix.application.exception.ObjectNotFoundException

  Updates a LocalizationResource

  Parameters
    `id` - The LocalizationIntersectionId
    `locale` - The existing locale object
    `title` - The new title.
    `description` - The new description
    `context` - the resource context.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### updateLocalizationResource

    void updateLocalizationResource(com.bea.netuix.application.localization.definition.LocalizationResource resource,
                                    com.bea.portal.tools.common.ResourceContext context)
                                    throws com.bea.portal.tools.common.exceptions.ToolsException,
                                           com.bea.netuix.application.exception.MissingDataException,
                                           com.bea.netuix.application.exception.ObjectNotFoundException

  Updates a LocalizationResource

  Parameters
    `resource` - The LocalizationResource
    `context` - the resource context.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### deleteLocalizationResource

    void deleteLocalizationResource(com.bea.netuix.application.localization.identifier.LocalizationLocaleId localeId,
                                    com.bea.netuix.application.localization.identifier.LocalizationIntersectionId intersectId,
                                    com.bea.portal.tools.common.ResourceContext context)
                                    throws com.bea.portal.tools.common.exceptions.ToolsException,
                                           com.bea.netuix.application.exception.ObjectNotFoundException

  Deletes a localization resource.

  Parameters
    `localeId` - The LocalizationLocaleId
    `intersectId` - The LocalizationIntersectionId
    `context` - the resource context.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved